ModelSell 文档
视频系列Kling

Kling 图生视频

使用 Kling 模型从图片生成视频。 支持通过 image 参数传入图片 URL 或 Base64 编码的图片数据。

POST
/kling/v1/videos/image2video

使用 Kling 模型从图片生成视频。

支持通过 image 参数传入图片 URL 或 Base64 编码的图片数据。

Authorization

bearerAuth
AuthorizationBearer <token>

使用 Authorization Bearer API Key 进行鉴权。

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/kling/v1/videos/image2video" \  -H "Content-Type: application/json" \  -d '{    "model": "kling-v1",    "prompt": "人物转身走开",    "image": "https://example.com/image.jpg",    "duration": 5,    "width": 1280,    "height": 720  }'
{
  "task_id": "abcd1234efgh",
  "status": "queued"
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}